> ## Documentation Index
> Fetch the complete documentation index at: https://magicblock-42-supermarioblock-patch-3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Private Balance

> Get the balance for the owner's ATA on the ephemeral RPC.



## OpenAPI

````yaml /privacy-openapi.json GET /v1/spl/private-balance
openapi: 3.1.0
info:
  title: SPL Private Payments API
  version: 0.1.0
  description: >-
    REST API for building private SPL token transactions on Solana and
    MagicBlock ephemeral rollups.


    Documentation:
    https://docs.magicblock.gg/pages/private-ephemeral-rollups-pers/how-to-guide/quickstart
servers:
  - url: https://payments.magicblock.app
    description: Mainnet - SPL Private Payments API
security: []
paths:
  /v1/spl/private-balance:
    get:
      tags:
        - SPL
      description: Get the balance for the owner's ATA on the ephemeral RPC.
      parameters:
        - schema:
            type: string
            default: Bt9oNR5cCtnfuMmXgWELd6q5i974PdEMQDUE55nBC57L
            example: Bt9oNR5cCtnfuMmXgWELd6q5i974PdEMQDUE55nBC57L
          required: true
          name: address
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - mainnet
                  - devnet
              - type: string
            example: mainnet
            description: >-
              Optional. Use `mainnet` for BASE_RPC_URL and EPHEMERAL_RPC_URL,
              `devnet` for BASE_DEVNET_RPC_URL and EPHEMERAL_DEVNET_RPC_URL, or
              provide a custom http(s) RPC URL to override the base RPC while
              keeping the configured ephemeral RPC.
          required: false
          description: >-
            Optional. Use `mainnet` for BASE_RPC_URL and EPHEMERAL_RPC_URL,
            `devnet` for BASE_DEVNET_RPC_URL and EPHEMERAL_DEVNET_RPC_URL, or
            provide a custom http(s) RPC URL to override the base RPC while
            keeping the configured ephemeral RPC.
          name: cluster
          in: query
        - schema:
            type: string
            default: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
            example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          required: true
          name: mint
          in: query
      responses:
        '200':
          description: Ephemeral token balance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceResponse'
              example:
                address: Bt9oNR5cCtnfuMmXgWELd6q5i974PdEMQDUE55nBC57L
                mint: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                ata: 3rXKwQ1kpjBd5tdcco32qsvqUh1BnZjcYnS5kYrP7AYE
                location: ephemeral
                balance: '1000000'
        '400':
          description: Query error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
components:
  schemas:
    BalanceResponse:
      type: object
      properties:
        address:
          type: string
          example: So11111111111111111111111111111111111111112
        mint:
          type: string
          example: So11111111111111111111111111111111111111112
        ata:
          type: string
          example: So11111111111111111111111111111111111111112
        location:
          $ref: '#/components/schemas/BalanceLocation'
        balance:
          type: string
      required:
        - address
        - mint
        - ata
        - location
        - balance
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          required:
            - code
            - message
      required:
        - error
    ValidationErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - VALIDATION_ERROR
            message:
              type: string
            issues:
              type: array
              items:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  path:
                    type: array
                    items:
                      anyOf:
                        - type: string
                        - type: number
                required:
                  - code
                  - message
                  - path
          required:
            - code
            - message
            - issues
      required:
        - error
    BalanceLocation:
      type: string
      enum:
        - base
        - ephemeral

````